feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.MutableArray

# Documentation

data MutableArray a where

Constructors

NewArr :: Type a => MutableArray (Length :-> (a :-> Full (Mut (MArr a)))) |
NewArr_ :: Type a => MutableArray (Length :-> Full (Mut (MArr a))) |
GetArr :: Type a => MutableArray (MArr a :-> (Index :-> Full (Mut a))) |
SetArr :: MutableArray (MArr a :-> (Index :-> (a :-> Full (Mut ())))) |
ArrLength :: MutableArray (MArr a :-> Full (Mut Length)) |

Instances

EvalBind MutableArray |
Semantic MutableArray |
Eval MutableArray |
Render MutableArray |
ToTree MutableArray |
Equality MutableArray |
SizeProp MutableArray |
Sharable MutableArray |
(:<: MutableArray dom, Optimize dom dom) => Optimize MutableArray dom |
AlphaEq dom dom dom env => AlphaEq MutableArray MutableArray dom env |